/* Free lists of heap blocks. */

#ifndef _freelist_
#define _freelist_


#include "mlvalues.h"

#ifdef ANSI

extern unsigned long fl_whsize;
extern char *fl_allocate (mlsize_t);
extern void fl_init_merge (void);
extern char *fl_merge_block (char *);
extern void fl_add_block (char *);

#else /* ANSI */

unsigned long fl_whsize;
char *fl_allocate ();
void fl_init_merge ();
char *fl_merge_block ();
void fl_add_block ();

#endif /* ANSI */


#endif /* _freelist_ */
